# $Revision: 1.31.2.2 $, $Date: 2006/08/09 19:35:37 $
#
# Conditional build:
%bcond_without	eds	# without evolution-data-server support
%bcond_without	pgsql	# without PostgreSQL storage module
#
Summary:	A project management program that can help build plans, and track the progress
Summary(pl):	System zarzdzania projektem pomocny przy planowaniu i ledzeniu postpu
Summary(pt_BR):	Planner  um programa para gerenciamento de projetos
Name:		planner
Version:	0.14
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/planner/0.14/%{name}-%{version}.tar.bz2
# Source0-md5:	af54ef691bfa7fc24c7ad858d55fed4a
Patch0:		%{name}-desktop.patch
URL:		http://www.imendio.com/projects/planner/
BuildRequires:	GConf2-devel
BuildRequires:	automake
BuildRequires:	gnome-vfs2-devel >= 2.0.2
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	intltool >= 0.30
BuildRequires:	libgnomeprintui-devel >= 2.6.0
BuildRequires:	libgsf-devel >= 1.4.0
BuildRequires:	libxslt-devel >= 1.1.0
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2.2
BuildRequires:	python-pygtk-devel >= 1:2.0.0
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper
%if %{with eds}
BuildRequires:	evolution-data-server-devel >= 1.2
%endif
%if %{with pgsql}
BuildRequires:	libgda-devel >= 1:1.2.3
BuildRequires:	postgresql-devel
%endif
Requires(post,preun):	GConf2
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
Requires(post,postun):	shared-mime-info
%{?with_eds:Requires:	evolution-data-server >= 1.2}
Requires:	hicolor-icon-theme
Obsoletes:	libmrproject
Obsoletes:	mrproject
Obsoletes:	python-libmrproject
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libplanner-1.so.0

%description
A project management program that can help build project plans, and
track the progress of a project.

%description -l pl
Program wspomagajcy zarzdzanie projektami, tworzenie planw i
ledzenie postpu w wykonaniu projektu.

%description -l pt_BR
Planner  um gerenciador de projetos baseado no GNOME.

%package devel
Summary:	Header files for planner library
Summary(pl):	Pliki nagwkowe biblioteki planner
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 2.0.4
Requires:	libgsf-devel >= 1.4.0
Requires:	libxml2-devel >= 2.5.4
Obsoletes:	libmrproject-devel
Obsoletes:	libmrproject-static

%description devel
Header files for planner library.

%description devel -l pl
Pliki nagwkowe biblioteki planner.

%package storage-pgsql
Summary:	PostgreSQL storage module for Planner
Summary(pl):	Modu przechowywania danych w bazie PostgreSQL dla Plannera
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gda-postgres
Obsoletes:	libmrproject-storage-pgsql
Obsoletes:	mrproject-storage-pgsql

%description storage-pgsql
PostgreSQL storage module for Planner application.

%description storage-pgsql -l pl
Modu przechowywania danych w bazie PostgreSQL dla Plannera.

%package -n python-planner
Summary:	Python binding for Planner library
Summary(pl):	Wizanie Pythona do biblioteki Planner
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs
Requires:	python-pygtk-devel >= 1.99.14

%description -n python-planner
Python binding for Planner library.

%description -n python-planner -l pl
Wizanie Pythona do biblioteki Planner.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--disable-update-mimedb \
	%{?with_eds:--enable-eds} \
	%{?with_pgsql:--enable-database} \
	--enable-gtk-doc \
	--enable-python \
	--enable-python-plugin \
	--enable-timetable
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir} \
	sqldocdir=%{_docdir}/%{name}-%{version} \
	sampledir=%{_examplesdir}/%{name}-%{version} \
	omf_dest_dir=%{_omf_dest_dir}

# useless - modules loaded through gmodule
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/{,*/}*.la

rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.la
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/{XMLnamespaces,globs,magic}
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/application/*.xml

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%scrollkeeper_update_post
%update_desktop_database_post
%update_mime_database
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall %{name}.schemas

%postun
/sbin/ldconfig
%scrollkeeper_update_postun
%update_desktop_database_postun
%update_mime_database
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libplanner*.so.*.*

%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/file-modules
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/storage-modules

%attr(755,root,root) %{_libdir}/%{name}/file-modules/*.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.so
%if %{with pgsql}
%exclude %{_libdir}/%{name}/storage-modules/*sql.so
%endif
%attr(755,root,root) %{_libdir}/%{name}/storage-modules/*.so

%{_datadir}/%{name}
%{_desktopdir}/*
%{_iconsdir}/hicolor/*/*/*.png
%{_pixmapsdir}/*.png
%{_datadir}/mime/packages/*.xml
%{_omf_dest_dir}/planner-C.omf
%lang(eu) %{_omf_dest_dir}/planner-eu.omf
%{_examplesdir}/%{name}-%{version}
%{_sysconfdir}/gconf/schemas/%{name}.schemas

%files devel
%defattr(644,root,root,755)
%{_libdir}/libplanner*.la
%attr(755,root,root) %{_libdir}/libplanner*.so
%{_includedir}/planner-1.0
%{_pkgconfigdir}/*.pc
%{_gtkdocdir}/libplanner

%if %{with pgsql}
%files storage-pgsql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/storage-modules/*sql.so
%endif

%files -n python-planner
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/planner*.so

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: planner.spec,v $
Revision 1.31.2.2  2006/08/09 19:35:37  freetz
- refresh config.sub, rel.2

Revision 1.31.2.1  2006/08/09 17:21:19  freetz
- 0.14 for Ac, unbroken postgres backend, use macros

Revision 1.31  2005/11/02 18:33:22  paladine
- proper license

Revision 1.30  2005/11/02 18:29:38  paladine
- removed locale_names patch
- added desktop patch
- removed redundant BRs
- fixed %postun
- don't package obsolete application-registry and mime-info dirs
- rel. 4

Revision 1.29  2005/10/30 12:26:40  arekm
- rel 3

Revision 1.28  2005/10/24 17:11:40  jareq
- default compile without pgsql support (it's broken with libgda 1.9)
- rel 2
- STBR

Revision 1.27  2005/10/16 21:32:11  pawcioos
- fixed BR, added TODO

Revision 1.26  2005/10/13 07:46:28  paladine
- moved R: gda-postgres to storage-pgsql subpackage

Revision 1.25  2005/10/11 20:50:59  blekot
- R: gda-postgres (thx. Micha Sukowski)

Revision 1.24  2005/10/10 22:43:34  qboosh
- drop libgantt-task.la from -devel

Revision 1.23  2005/10/10 21:19:45  pawcioos
- updated to 0.13
- removed bcond sharp (it was removed from sources)

Revision 1.22  2005/05/15 00:20:25  ankry
- %post shouldn't fail if no rw permission to /usr

Revision 1.21  2005/05/13 17:13:28  ankry
- rel. 5 to rebuild with new libhowl

Revision 1.20  2005/01/05 22:17:16  qboosh
- pyrequires_eq for python-; need to recheck main package...

Revision 1.19  2004/12/26 17:23:53  saq
- release 4 for rebuild with python 2.4

Revision 1.18  2004/12/11 00:48:36  ankry
- rel. 3

Revision 1.17  2004/11/14 21:47:41  havner
- rel up for rebuild with python-pygtk

Revision 1.16  2004/09/13 22:00:36  grzegol
- run /usr/bin/update-desktop-database in %%post and %%postun

Revision 1.15  2004/08/29 23:09:12  grzegol
- updated to 0.12.1

Revision 1.14  2004/08/28 18:17:08  grzegol
- added python-planner subpackage
- updated BRs, Rs, strict internal deps
- added update-mime-database and scrollkeeper-update to %%post/%%postun
- fixed %%files

Revision 1.13  2004/07/23 10:44:40  ankry
- disable sharp

Revision 1.11  2004/07/23 08:49:01  ankry
- no -> nb (locale_names patch), rel. 2

Revision 1.10  2004/07/11 13:18:07  jpc
- up to 0.12
- BR should be ok (successfully built in a clean chroot)

Revision 1.9  2003/12/14 17:09:40  grzegol
- removed epoch from requires (there is no epoch)

Revision 1.8  2003/12/08 10:58:04  ankry
- cosmetics

Revision 1.7  2003/12/07 13:48:58  krzak
- rel 1
- po-fix.patch (fix polish translation in desktop file)

Revision 1.6  2003/12/06 23:22:50  wrobell
- removed unnecessary BR

Revision 1.5  2003/12/06 23:09:48  speedy
- BuildRequires: libgsf-devel, libxslt-devel (and even more)
- Fixed bcond (%exclude), added BR: postgresql, postgresql-devel

Revision 1.4  2003/12/05 14:28:41  qboosh
- added -devel subpackage and ldconfig in post
- killed unneeded *.la for modules
- moved some Obsoletes to proper packages

Revision 1.3  2003/12/05 14:13:13  wrobell
- libplanner-1.so is required to run planner app (it is not symlink, just
  unversioned library, now)
- rel. 0.2

Revision 1.2  2003/12/02 23:42:30  qboosh
- pl for subpackage
- Obsoletes for *mrproject* stuff (internal libplanner is continuation of libmroject)

Revision 1.1  2003/12/02 15:37:59  wrobell
- planner is based on mrproject and mrproject is discontinued as I know,
  please remove mrproject and libmrproject from ftp
